-- Copyright (C) 1991-2013 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- PROGRAM		"Quartus II 64-Bit"
-- VERSION		"Version 13.0.1 Build 232 06/12/2013 Service Pack 1 SJ Web Edition"
-- CREATED		"Wed Mar 23 13:05:30 2016"

LIBRARY ieee;
USE ieee.std_logic_1164.all; 

LIBRARY work;

ENTITY bcd_adder IS 
	PORT
	(
		SW0 :  IN  STD_LOGIC;
		SW1 :  IN  STD_LOGIC;
		SW5 :  IN  STD_LOGIC;
		SW2 :  IN  STD_LOGIC;
		SW6 :  IN  STD_LOGIC;
		SW3 :  IN  STD_LOGIC;
		SW7 :  IN  STD_LOGIC;
		SW4 :  IN  STD_LOGIC;
		LEDG0 :  OUT  STD_LOGIC;
		LEDG1 :  OUT  STD_LOGIC;
		LEDG2 :  OUT  STD_LOGIC;
		LEDG3 :  OUT  STD_LOGIC;
		LEDG4 :  OUT  STD_LOGIC
	);
END bcd_adder;

ARCHITECTURE bdf_type OF bcd_adder IS 

COMPONENT full_adder
	PORT(c0 : IN STD_LOGIC;
		 b0 : IN STD_LOGIC;
		 a0 : IN STD_LOGIC;
		 b1 : IN STD_LOGIC;
		 a1 : IN STD_LOGIC;
		 b2 : IN STD_LOGIC;
		 a2 : IN STD_LOGIC;
		 b3 : IN STD_LOGIC;
		 a3 : IN STD_LOGIC;
		 s0 : OUT STD_LOGIC;
		 s1 : OUT STD_LOGIC;
		 s2 : OUT STD_LOGIC;
		 s3 : OUT STD_LOGIC;
		 c4 : OUT STD_LOGIC
	);
END COMPONENT;

SIGNAL	SYNTHESIZED_WIRE_17 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_3 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_18 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_19 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_20 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_21 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_12 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_13 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_14 :  STD_LOGIC;


BEGIN 
LEDG4 <= SYNTHESIZED_WIRE_18;
SYNTHESIZED_WIRE_17 <= '0';



b2v_inst : full_adder
PORT MAP(c0 => SYNTHESIZED_WIRE_17,
		 b0 => SW0,
		 a0 => SW4,
		 b1 => SW1,
		 a1 => SW5,
		 b2 => SW2,
		 a2 => SW6,
		 b3 => SW3,
		 a3 => SW7,
		 s0 => SYNTHESIZED_WIRE_3,
		 s1 => SYNTHESIZED_WIRE_19,
		 s2 => SYNTHESIZED_WIRE_20,
		 s3 => SYNTHESIZED_WIRE_21,
		 c4 => SYNTHESIZED_WIRE_13);


b2v_inst1 : full_adder
PORT MAP(c0 => SYNTHESIZED_WIRE_17,
		 b0 => SYNTHESIZED_WIRE_17,
		 a0 => SYNTHESIZED_WIRE_3,
		 b1 => SYNTHESIZED_WIRE_18,
		 a1 => SYNTHESIZED_WIRE_19,
		 b2 => SYNTHESIZED_WIRE_18,
		 a2 => SYNTHESIZED_WIRE_20,
		 b3 => SYNTHESIZED_WIRE_17,
		 a3 => SYNTHESIZED_WIRE_21,
		 s0 => LEDG0,
		 s1 => LEDG1,
		 s2 => LEDG2,
		 s3 => LEDG3);



SYNTHESIZED_WIRE_12 <= SYNTHESIZED_WIRE_20 AND SYNTHESIZED_WIRE_21;


SYNTHESIZED_WIRE_18 <= SYNTHESIZED_WIRE_12 OR SYNTHESIZED_WIRE_13 OR SYNTHESIZED_WIRE_14;


SYNTHESIZED_WIRE_14 <= SYNTHESIZED_WIRE_19 AND SYNTHESIZED_WIRE_21;


END bdf_type;