-- Copyright (C) 1991-2013 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- PROGRAM		"Quartus II 64-Bit"
-- VERSION		"Version 13.0.1 Build 232 06/12/2013 Service Pack 1 SJ Web Edition"
-- CREATED		"Wed Mar 23 13:05:28 2016"

LIBRARY ieee;
USE ieee.std_logic_1164.all; 

LIBRARY work;

ENTITY full_adder IS 
	PORT
	(
		b0 :  IN  STD_LOGIC;
		a0 :  IN  STD_LOGIC;
		b1 :  IN  STD_LOGIC;
		a1 :  IN  STD_LOGIC;
		b2 :  IN  STD_LOGIC;
		a2 :  IN  STD_LOGIC;
		b3 :  IN  STD_LOGIC;
		a3 :  IN  STD_LOGIC;
		c0 :  IN  STD_LOGIC;
		c4 :  OUT  STD_LOGIC;
		s0 :  OUT  STD_LOGIC;
		s1 :  OUT  STD_LOGIC;
		s2 :  OUT  STD_LOGIC;
		s3 :  OUT  STD_LOGIC
	);
END full_adder;

ARCHITECTURE bdf_type OF full_adder IS 

COMPONENT fa_onebit
	PORT(cin : IN STD_LOGIC;
		 a : IN STD_LOGIC;
		 b : IN STD_LOGIC;
		 s : OUT STD_LOGIC;
		 cout : OUT STD_LOGIC
	);
END COMPONENT;

SIGNAL	SYNTHESIZED_WIRE_0 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_1 :  STD_LOGIC;
SIGNAL	SYNTHESIZED_WIRE_2 :  STD_LOGIC;


BEGIN 



b2v_inst : fa_onebit
PORT MAP(cin => c0,
		 a => b0,
		 b => a0,
		 s => s0,
		 cout => SYNTHESIZED_WIRE_0);


b2v_inst1 : fa_onebit
PORT MAP(cin => SYNTHESIZED_WIRE_0,
		 a => b1,
		 b => a1,
		 s => s1,
		 cout => SYNTHESIZED_WIRE_1);


b2v_inst2 : fa_onebit
PORT MAP(cin => SYNTHESIZED_WIRE_1,
		 a => b2,
		 b => a2,
		 s => s2,
		 cout => SYNTHESIZED_WIRE_2);


b2v_inst3 : fa_onebit
PORT MAP(cin => SYNTHESIZED_WIRE_2,
		 a => b3,
		 b => a3,
		 s => s3,
		 cout => c4);


END bdf_type;